import sys
import sphinx_rtd_theme
from ase.utils.sphinx import mol_role

sys.path.append('.')

project = 'ASE tutorial'
copyright = 'Ask Hjorth Larsen'


intersphinx_mapping = {'gpaw': ('https://wiki.fysik.dtu.dk/gpaw', None),
                       'ase': ('https://wiki.fysik.dtu.dk/ase', None),
                       'python': ('https://docs.python.org/3.7', None)}

extensions = ['ext',
              #'sphinx.ext.autodoc',
              #'sphinx.ext.doctest',
              'sphinx.ext.mathjax',
              #'sphinx.ext.viewcode',
              #'sphinx.ext.napoleon',
              'sphinx.ext.intersphinx']
html_theme = 'sphinx_rtd_theme'
html_theme_path = [sphinx_rtd_theme.get_html_theme_path()]
#html_static_path = ['static']

pygments_style = 'sphinx'
master_doc = 'index'
