from ase.build import molecule
from ase.optimize import BFGS
from ase.vibrations import Vibrations
from gpaw import GPAW

atoms = molecule('H2O')
atoms.center(vacuum=3.0)

calc = GPAW(mode='lcao', basis='dzp', txt='gpaw.vib.txt')
atoms.calc = calc

opt = BFGS(atoms, trajectory='opt.traj')
opt.run(fmax=0.05)

vib = Vibrations(atoms)
vib.run()  # Produces files
vib.summary()

energies = vib.get_energies()
vib.write_mode()
