from ase.io import read
from ase.constraints import ExpCellFilter
from ase.optimize import BFGS
from ase.utils import workdir
from gpaw import GPAW, PW

def cellopt(name):
    atoms = read(name + '.traj')
    with workdir('output-{}'.format(name), mkdir=True):
        calc = GPAW(mode=PW(700), kpts={'density': 1.5}, txt='gpaw.txt')
        atoms.calc = calc

        opt = BFGS(ExpCellFilter(atoms), trajectory='opt.traj',
                   logfile='opt.log')
        opt.run(fmax=0.05)

cellopt('rutile')
#cellopt('anatase')
#cellopt('brookite')
