from ase.io import read
from gpaw import GPAW
from ase.optimize import BFGS
from ase.constraints import ExpCellFilter
from ase.utils import workdir
from ase.build import bulk
import numpy as np

#atoms = read('rutile.traj')
atoms = bulk('Au')
atoms.cell += np.random.rand(3,3)*.1

with workdir('opt', mkdir=True):
    calc = GPAW(mode='pw', kpts={'density': 1},
                txt='gpaw.txt')
    atoms.calc = calc

    opt = BFGS(ExpCellFilter(atoms), trajectory='opt.traj',
               logfile='opt.log')
    opt.run(fmax=0.01)
