from ase.io import read
from gpaw import GPAW, PW
from ase.optimize import BFGS
from ase.constraints import ExpCellFilter
from ase.utils import workdir

atoms = read('rutile.traj')

calc = GPAW(mode=PW(1200), kpts={'density': 1.5},
            txt='gpaw.txt')
atoms.calc = calc

opt = BFGS(ExpCellFilter(atoms), trajectory='opt.traj',
           logfile='opt.log')
opt.run(fmax=0.01)
