from ase.build import bulk
from gpaw import GPAW, PW

atoms = bulk('Ag')
calc = GPAW(mode=PW(600), kpts=[4, 4, 4], txt='gpaw.bs.Ag.txt')
atoms.calc = calc
atoms.get_potential_energy()

path = atoms.cell.bandpath('WLGXWK', density=10)
path.write('bandpath.Ag.json')

calc.set(kpts=path, fixdensity=True, symmetry='off')

atoms.get_potential_energy()
bs = calc.band_structure()
bs.write('bs.Ag.json')
