from ase.io import read
from gpaw import GPAW, PW
from ase.optimize import BFGS
from ase.constraints import ExpCellFilter
from ase.utils import workdir

atoms = read('rutile.traj')

with workdir('opt', mkdir=True):
    calc = GPAW(mode=PW(500), kpts={'density': 1.2},
                txt='gpaw.txt')
    atoms.calc = calc

    opt = BFGS(ExpCellFilter(atoms), trajectory='opt.traj',
               logfile='opt.log')
    opt.run(fmax=0.01)
