from ase.io import read
from gpaw import GPAW
from ase.optimize import BFGS
from ase.constraints import ExpCellFilter, UnitCellFilter
from ase.utils import workdir

atoms = read('rutile.traj')

with workdir('opt', mkdir=True):
    calc = GPAW(mode='pw', kpts={'density': 1},
                txt='gpaw.txt')
    atoms.calc = calc

    opt = BFGS(UnitCellFilter(atoms), trajectory='opt.traj',
               logfile='opt.log')
    opt.run(fmax=0.01)
