from ase.cluster import Octahedron
from ase.calculators.emt import EMT
from ase.optimize import BFGS
from gpaw import GPAW

atoms = Octahedron('Au', 5, cutoff=2)
atoms.calc = EMT()
opt = BFGS(atoms, trajectory='opt.traj')
opt.run(fmax=0.01)

atoms.calc = GPAW(mode='lcao', basis='sz(dzp)', txt='gpaw.txt')
atoms.center(vacuum=4.0)
atoms.get_potential_energy()

energies, weights = atoms.calc.get_dos(npts=500, width=0.2)
import pylab as plt
plt.plot(energies, weights)
plt.savefig('dos.png')

#from ase.dft.dos import DOS
#dosobj = DOS(atoms.calc, width=0.2)

#eps = dos.get_energies()
#weights = dos.get_weights()
