from ase.db import connect
from gpaw import GPAW

db = connect('database.db')
for row in db.select():
    atoms = row.toatoms()
    calc = GPAW(mode='lcao', basis='dzp', txt=f'{row.formula}.txt', xc='LDA')

    atoms.calc = calc
    atoms.get_potential_energy()

    db.update(row.id, atoms=atoms)
